List subscriptions OAuth Scope: subscriptions:read
List subscriptions OAuth Scope: subscriptions:read
Retrieve all subscriptions belonging to a specific publication.
cursor parameter instead of page for new integrations. page parameter) is deprecated and limited to 100 pages maximum. Please migrate to cursor-based pagination. See our Pagination Guide for details. Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
Query parameters
Optional list of expandable objects.subscription_premium_tiers - Returns an array of tiers the subscription is associated with.referrals - Returns an array of subscriptions with limited data - id, email, and status. These are the subscriptions that were referred by this subscription.stats - Returns statistics about the subscription(s).custom_fields - Returns an array of custom field values that have been set on the subscription. newsletter_lists - Returns an array of newsletter list prefixed IDs the subscription is actively subscribed to.
Cursor-based pagination (recommended): Use this opaque cursor token to fetch the next page of results. When provided, pagination will use cursor-based method which is more efficient and consistent than offset-based pagination. See the Pagination Guide for more details.
Offset-based pagination (deprecated): Page number for offset-based pagination. This method is deprecated and limited to 100 pages maximum. Please migrate to cursor-based pagination using the cursor parameter. If not specified, results 1-10 from page 1 will be returned. See the Pagination Guide for migration guidance.
Optional email address to find a subscription.
This param must be an exact match and is case insensitive.
The field that the results are sorted by. Defaults to created
created - The time in which the subscription was first created.
The direction that the results are sorted in. Defaults to asc
asc - Ascending, sorts from smallest to largest.
desc - Descending, sorts from largest to smallest.
Optional date entry (in the format YYYY/MM/DD) that filters returned subscriptions by their creation date.
Response
Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.
Offset pagination only: The total number of pages. Only present when using deprecated offset-based pagination.
Cursor pagination only: Indicates whether there are more results available after the current page. Only present when using cursor-based pagination.
Cursor pagination only: The cursor token to use for fetching the next page of results. This will be null if has_more is false. Only present when using cursor-based pagination.
Mixed pagination: The total number of results from all pages. For offset-based pagination, this is always included.